import { IMap } from './WFMap';
export interface IPath {
    start: string;
    finish: string;
    distance: number;
}
export interface IGraph {
    graph: {
        string: {};
    };
    nearestExitNodeId: string;
    nodes: {
        string: {
            coords: number[];
        };
    };
    initNodes(map: any): void;
    initGraph(map: any): void;
    getPaths(map: any): IPath[];
}
export declare class Graph implements IGraph {
    nodes: any;
    graph: any;
    nearestExitNodeId: any;
    constructor(map: IMap);
    initNodes(map: IMap): void;
    initGraph(map: IMap): void;
    getPaths(map: IMap): IPath[];
}
