export interface IPoi {
    id: string;
    title: string;
    description: string;
    logo?: string;
    type?: string;
    location: ILocation;
    workingHours?: string[];
    contact?: {};
    equipment?: string[];
    media?: string[];
    categories?: string[];
}
interface ILocation {
    positions: number[][] | any;
    shapeType?: string;
    radius?: number;
    floor?: number | string;
    bounds?: number[][] | any;
}
export declare class POI implements IPoi {
    id: any;
    title: any;
    description: any;
    logo: any;
    type: any;
    location: any;
    workingHours: any;
    contact: any;
    equipment: any;
    media: any;
    categories: any;
    constructor(poi: IPoi);
}
export {};
