import { IMapStore } from './MapStore';
import { IThemeStore } from "./ThemeStore";
import { IMap } from "./WFMap";
import { IPoi } from "./POI";
export interface WithRootStore {
    rootStore: IRootStore;
}
export interface IRootStore {
    mapStore: IMapStore;
    themeStore: IThemeStore;
    initData(maps: any, currentPoint: any, themes: any): void;
}
declare class RootStore implements IRootStore {
    mapStore: any;
    themeStore: any;
    initData(maps: IMap[], currentPoint: IPoi, themes: any): void;
}
declare const _default: RootStore;
export default _default;
