import React from 'react';
import { IMapStore } from '../../models/MapStore';
import { IPoi } from '../../models/POI';
import { IRouteStore } from '../../models/RouteStore';
import './Map.scss';
interface IProps {
    poi: IPoi;
    mapStore?: IMapStore;
    routeStore?: IRouteStore;
}
declare class PoiContainer extends React.Component<IProps> {
    private readonly ref;
    private disposer;
    constructor(props: any);
    componentDidMount(): void;
    get isSelected(): boolean;
    setActive: () => void;
    closePopup: () => void;
    componentWillUnmount(): void;
    render(): React.ReactNode;
}
export default PoiContainer;
