import { IPoi } from './POI';
interface IRouteData {
    nodes: {
        id: string;
        coords: [number, number];
    }[];
    edges: {
        node1: [number, number];
        node2: [number, number];
    }[];
    nearestExit: IPoi;
}
export interface IMap {
    floor: number;
    mapWidth: number;
    mapHeight: number;
    mapName: string;
    mapId: string;
    mapScale: number;
    mapUrl: string;
    POIs: IPoi[];
    routeData: IRouteData;
}
export declare class WFMap implements IMap {
    floor: any;
    mapWidth: any;
    mapHeight: any;
    mapName: any;
    mapId: any;
    mapScale: any;
    mapUrl: any;
    POIs: any;
    routeData: any;
    constructor(map: IMap);
}
export {};
